#!/bin/bash

if [ $# != 4 ]; then
	echo "Usage: $0 IPADDR FIJI_NAME DELAY N_REPEAT"
	echo
	echo " Known Fiji Points are:"
	echo "  * WAFL_SPINNP_READ"
	echo "  * WAFL_SPINNP_REMOVE"
	echo "  * WAFL_SPINNP_WRITE"
	exit 1
fi

IPADDR=$1
NAME=$2
DELAY=$3
REPEAT=$4

ssh admin@$IPADDR "system node run -node local -command \"priv set -q test; fiji filter '(repeat "$REPEAT" wafl.wp1m.delay.mdp (&& (eq @type "$NAME")) (return "$DELAY"))' -tag wafl_op_delay; result -l\""
